Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractAudioOutput

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.phonon.AbstractAudioOutput

All Implemented Interfaces:
  MediaNodeInterface, com.trolltech.qt.QtJambiInterface

Direct Known Subclasses:
  AudioOutput

    public class AbstractAudioOutput

extends com.trolltech.qt.core.QObject
implements MediaNodeInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`protected` | `AbstractAudioOutput()` This constructor is a place holder intended to prevent users from subclassing the class.
`protected` | `AbstractAudioOutput(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)`

Method Summary
`long` | `__qt_cast_to_MediaNode(long ptr)` This method is internal to Qt Jambi.
`static AbstractAudioOutput` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)`
`java.util.List<Path>` | `inputPaths()` This method is internal to Qt Jambi.
`boolean` | `isValid()` This method is internal to Qt Jambi.
`java.util.List<Path>` | `outputPaths()` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractAudioOutput

    protected AbstractAudioOutput()
                           throws com.trolltech.qt.QClassCannotBeSubclassedException

  This constructor is a place holder intended to prevent users from subclassing the class. Certain classes can unfortunately only be subclasses internally. The constructor will indiscriminately throw an exception if called. If the exception is ignored, any use of the constructed object will cause an exception to occur.

  Throws:
    `com.trolltech.qt.QClassCannotBeSubclassedException`

### AbstractAudioOutput

    protected AbstractAudioOutput(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

Method Detail

### inputPaths

    public final java.util.List<Path> inputPaths()

  Description copied from interface: `MediaNodeInterface`
  This method is internal to Qt Jambi.

  Specified by:
    `inputPaths` in interface `MediaNodeInterface`

### isValid

    public final boolean isValid()

  Description copied from interface: `MediaNodeInterface`
  This method is internal to Qt Jambi.

  Specified by:
    `isValid` in interface `MediaNodeInterface`

### outputPaths

    public final java.util.List<Path> outputPaths()

  Description copied from interface: `MediaNodeInterface`
  This method is internal to Qt Jambi.

  Specified by:
    `outputPaths` in interface `MediaNodeInterface`

### fromNativePointer

    public static AbstractAudioOutput fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

### __qt_cast_to_MediaNode

    public long __qt_cast_to_MediaNode(long ptr)

  Description copied from interface: `MediaNodeInterface`
  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_MediaNode` in interface `MediaNodeInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD